;========================================================
Include  13P.INC
include  Main.inc
;=========================================================
	org   0000h
ProReset:      
      nop
	jmp  init					;ĳʼ
      org   0004h
	Include  Interrupt.asm
;===================Mϵyʼ========================
init:	
	call	SysInit	
;=========================================================
readBIE:
	mvl	0
	mvf	Temp+9,F,ACCE
SysROM_A2:	
;	CWDT
	bsf	TB1CN0,TB1CL,A
	mvff	Temp+9,BIEARL
;	mvf	BIEARL,F,ACCE
	MVL	080H
	MVF	BIEARH,F,A
	bsf	BIECN,BIERD,ACCE
	mvl	0A5h
	cpse	BIEDRH,ACCE
	jmp	SysROM_A1
	mvl	05Ah
	cpse	BIEDRL,ACCE
	jmp	SysROM_A1
	mvl	4
	addf	Temp+9,F,ACCE
	mvl	3fh
	cpsg	Temp+9,ACCE
	jmp	SysROM_A2
	mvl	3ch
	mvf	BIEARL,F,ACCE
	jmp	SysROM_A3
SysROM_A1:
	tfsz	Temp+9,ACCE
	jmp	SysROM_A4
	clrf	BIEARL,ACCE
	jmp	CALADCPro
SysROM_A4:	
      mvl	3
      subf	Temp+9,W,ACCE
      mvf	BIEARL,F,ACCE
SysROM_A3:
      mvl   3
      mvf   s_reg_EE,F,ACCE
      clrf	fsr0h,a
      mvl   temp+1
      call  eerdblk
;=========================================================	 
      mvff  temp+1,ADCcalL
      mvff  temp+2,ADCcalM
      mvff  temp+3,ADCcalH 
      mvff	 temp+4,CalZeroL
      mvff	 temp+5,CalZeroM
      mvff	 temp+6,CalZeroH
	mvff	 temp+4,ZeroL
      mvff	 temp+5,ZeroM
      mvff	 temp+6,ZeroH
      mvl   0ah
      mvf   ADshiftbit,F,ACCE	;OADCȡλ24-7	            	
;**********************************************************
MainLoop:
mainloop0: 
      cwdt     
      btsz	PTkey,BK0,acce
	jmp	mainloop1
	call	delay10ms
	btss	PTkey,bK0,acce
	jmp	calADCpro
mainloop1:	
	call	IntADC			;ADCDQĔV̎
	call  dealwith
	call  display
	btss  flag1,b_poweroff,acce
      jmp   idlemode
mainloop2:      
      clrf  lCDCN1,b
      clrf  LCDCN2,b
      jmp   idlemode0
;====================idleģʽ´========================	
idlemode:
      btss  flag1,b_idle,acce
      jmp   mainloop
      bcf   flag1,b_idle,acce
idlemode0: 
	clrf	MCCN2,acce 
	clrf	MCCN1,acce
	clrf	MCCN0,acce    
	bcf   AD1CN0,ENAD1,acce
     bcf	PT2,6,acce 
	mvl	00000000b
	mvf	PWRCN,f,acce
	clrf  INTF1,ACCE 									
     clrf  INTE1,ACCE
      mvl	41h
      mvf	OSCCN0,f,acce
      bcf   OSCCN2,ENHAO,acce
      bsf	INTE0,WDTIE,acce
      clrf  idlecnt,acce
idlemode1: 
      bsf	INTE0,GIE,acce      
      mvl	0ch			;
      mvf	WDTCN,f,acce     
      cwdt
      idle	
      nop
      inf   idlecnt,f,acce
      mvl   0eh
      btsz  flag1,b_poweroff,acce	;ػģʽ¿Ź1.2s
      mvl   18h
      cpsg  idlecnt,acce
      jmp   idlemode1
;=================================
	bcf	INTE0,WDTIE,acce
	bsf	OSCCN2,ENHAO,acce
      mvl	00h
      mvf	OSCCN0,f,acce
      clrf	WDTCN,acce
            
      mvl	0c8h
      mvf	PWRCN,f,acce
      bsf	PT2,6,acce
;==========͵ѹ==============
	mvl	00010010b
	mvf	MCCN1,f,acce
	mvl	10001111b
	mvf	MCCN0,f,acce
	mvl	10110000b
	mvf	MCCN2,f,acce
	mvl	20
lvd_loop:	
	dcsz	wreg,f,acce
	jmp	lvd_loop
;================================
	btsz	PSTAT,MCO,acce
	jmp	mainloop2   
	clrf	MCCN2,acce 
	clrf	MCCN1,acce
	clrf	MCCN0,acce 	   
      mvff  ADcount,ADcatch
      mvl   02h
      mvf   ADCquit,f,acce      
   	call	delay5ms
   	mvl   00101111b
   	btsz  flag1,b_poweroff,acce
   	mvl   00101111b
   	mvf   AD1CN3,f,acce
      bsf   AD1CN0,ENAD1,acce
      bsf   INTE1,AD1IE,acce
   	mvl   10000000b		
      mvf   INTE0,F,ACCE		;ENABLE ADCIE
      btss  flag1,b_poweroff,acce
	jmp	mainloop	
;==========Զ==================	
	bcf    INTF1,AD1IF,ACCE
	bcf   flag,b_ADCint,acce
lowpower_mode:
      btss  Flag,b_ADCint,acce
	jmp   lowpower_mode
	bcf   flag,b_ADCint,acce
	bcf	INTE0,GIE,acce
	mvff	ADCdataL,temp+6
	mvff	ADCdataM,temp+7
	mvff	ADCdataH,temp+8
;=========================================
	mvf	ADshiftbit,w,acce
lowpower_mode00:
	bcf	status,c,acce
	btsz	temp+8,7,acce
	bsf	status,c,acce
	rrfc	temp+8,f,acce
	rrfc	temp+7,f,acce
	rrfc	temp+6,f,acce
	dcsz	wreg,f,acce
	jmp	lowpower_mode00			
;=========================================
      mvf   CalzeroL,w,acce
      subf  temp+6,f,acce
      mvf   CalZeroM,w,acce
      subc  temp+7,f,acce
      mvf   CalZeroH,w,acce
      subc temp+8,f,acce
      ;btss  status,c,acce
      btsz	temp+8,7,acce
      jmp   idlemodeA
;=========================================
	mvff  ADCcalL,temp
	mvff  ADCcalM,temp+1
	mvff  ADCcalH,temp+2
	mvl   4
lowpower_mode0:
      bcf   status,c,acce
      rrfc  temp+2,f,acce
      rrfc  temp+1,f,acce
      rrfc  temp,f,acce	  
	dcsz  wreg,f,acce
	jmp	lowpower_mode0
	mvff  temp,temp+3
	mvff  temp+1,temp+4
	mvff  temp+2,temp+5
      bcf   status,c,acce
      rrfc  temp+5,f,acce
      rrfc  temp+4,f,acce
      rrfc  temp+3,f,acce
      mvf   temp+3,w,acce
      addf  temp,f,acce
      mvf   temp+4,w,acce
      addc  temp+1,f,acce
      mvf   temp+5,w,acce
      addc  temp+2,f,acce
      
      mvf   temp,w,acce
      subf  temp+6,f,acce
      mvf   temp+1,w,acce
      subc  temp+7,f,acce
      mvf   temp+2,w,acce
      subc  temp+8,f,acce
      btss  status,c,acce
      jmp   idlemodeA
      btsz  flag1,b_zero,acce	;ػӵС5kg
      jmp   idlemode0
      mvl   00101111b
      mvf   AD1CN3,f,acce
      mvl   02h
      mvf   ADCquit,f,acce
      bcf   flag1,b_poweroff,acce
      bcf   flag1,b_idle,acce
      mvl   11010100b  ;ENLCD[0]=1 ʹLCD LCDPR[0]=1 lcdĵѹڲ VLCD[1:0]=01 VLCDΪ3.05Vѹ LCDTE[0]=0 1/3ƫѹ
      mvf   LCDCN1,f,b  
      mvl   64h        ;LCDBL[0]=0 LCDֽʾ LCDMX[1:0]=11 1/4 duty LCDS[0]=0 LCD_CK=LPC_CK DLCD[1:0]=00 DLCD_CK=LCD_CK/4
      mvf   LCDCN2,f,b  
      clrf	INTF0,acce
      clrf	INTF1,acce
	 bcf   flag,b_ADCint,acce
	 bcf	Flag1,b_initz,ACCE
	clrf	STBCNT,acce
	clrf	ZeroCNT,acce
      bsf	INTE0,GIE,acce 
      clrf  weightbuf,acce
      clrf  weightbuf+1,acce
      jmp   mainloop
idlemodeA:
      bcf   flag1,b_zero,acce
      inf	ZeroCNT,f,acce
      mvl	30
      cpsg	ZeroCNT,acce
      jmp   idlemode0 
      bcf	flag1,b_poweroff,acce
      bsf	Flag1,b_initz,ACCE
     bsf	INTE0,GIE,acce 
       mvl     256-2
      mvf     ADStbcnt,F,acce
      
	jmp	mainloop     
;===============================================================
CALADCPro:
      btss	PTkey,bK0,acce
	jmp	CALADCPro
	clrf	keyCnt,acce
	bsf	flag,b_cal
	 bcf	Flag1,b_initz,ACCE
	 bsf   PT2,6,acce
      mvl   0c8h
      mvf   PWRCN,f,acce  ;ENLDO[1:0]=11 LDO VDDA ѹ VDDAX[1:0]=00 VDDA=2.4V
      call  delay5ms
	bsf   AD1CN0,ENAD1,acce
      bsf   INTE1,AD1IE,acce
   	mvl   10000000b		
      mvf   INTE0,F,ACCE		;ENABLE ADCIE      
	include	ADCCAL.asm	
;=======================================================
	include     SysIni.asm
	include     INTADC.asm
	include     math.asm
	include     dealwith.asm  
	include	S24CXX.asm  
	include	display.asm   
;===================================================     
    END     