;***************ϵyʼ*************************
SysInit:	
      mvl   00h
      mvf   OSCCN0,f,acce
      mvl   10h
      mvf   OSCCN1,f,acce     ;ADC_CK=DHS_CK/4
      mvl   07h
      mvf   OSCCN2,f,acce     ;HAO=4M		
;==============Clear Memory=======================   
clearReg:    
      ldpr  080h,FSR0		;80h-ffhļĴ
      mvl   080h
ClriniMen0:   
      clrf  POINC0,ACCE
      dcsz  WREG,F,ACCE
      jmp   ClriniMen0
;==========Setup PT1 Interrupt==========================
      mvl   00000000b
      mvf   PT1,F,ACCE      
      mvl   00000000b     		;Set  Digital Channel
      mvf   PT1DA,F,ACCE
      mvl   00000000b     		;
      mvf   TRISC1,F,ACCE		
      mvl   11111101b
      mvf   PT1PU,F,ACCE  		;Set Pull up Resistor
 ;==========Setup PT2 =======================================
      mvl   00000011b
      mvf   PT2PU,F,ACCE 		;ʹ      	
      mvl   11111100b
      mvf   TRISC2,F,ACCE		;PT2OÞݔ
      mvl   00000000b		
      mvf   PT2,F,ACCE   
;==============setup PT3=====================================          
      clrf	TRISC3,acce
      mvl	0ffh
      mvf	PT3DA,f,acce	
      clrf  PT3PU,acce
      
	bcf   PT2,6,acce
      mvl   00h
      mvf   PWRCN,f,acce  ;
      call	delay10ms
;==========Setup VDDA=============================
;      bsf   PT2,6,acce
;      mvl   0c8h
;      mvf   PWRCN,f,acce  ;ENLDO[1:0]=11 LDO VDDA ѹ VDDAX[1:0]=00 VDDA=2.4V
;      call  delay5ms
;=============================================
      mvl   00000111b		;IN1P[2:0]=000 SI+ =AI0 IN1N[2:0]=001 SI- =AI1AD1GN[1:0]=11 Gain=4
      mvf   AD1CN1,f,acce  
      mvl   00001010b		;DC1S[3:0]=0000 DC offset=0 VR1N[1:0]=10 VR-=AI6 VR1P[1:0]=10 VR+=AI5
      mvf   AD1CN2,f,acce
      mvl   00101111b		;OSR[3:0]=0011 ADCȡƵ=ADC_CK/128 PGA[2:0]=111 *32Ŵ VR1GN[0]=1 οѹVR/2                             
      mvf   AD1CN3,f,acce   
      mvl   00010011b		;ENAD[0]=1 ʹADC(bit5) AD1HS[0]=0 ADCƵ500K
      mvf   AD1CN0,f,acce     
;==========Set LCD=========================
      lbsr  1
      mvl   11010100b  ;ENLCD[0]=1 ʹLCD LCDPR[0]=1 lcdĵѹڲ VLCD[1:0]=01 VLCDΪ3.05Vѹ LCDTE[0]=0 1/3ƫѹ
      mvf   LCDCN1,f,b  
      mvl   64h        ;LCDBL[0]=0 LCDֽʾ LCDMX[1:0]=11 1/4 duty LCDS[0]=0 LCD_CK=LPC_CK DLCD[1:0]=00 DLCD_CK=LCD_CK/4
      mvf   LCDCN2,f,b  
      clrf  lcd0,b
      clrf  lcd1,b 
      clrf  lcd2,b
      clrf  lcd3,b 
      clrf  lcd4,b
      clrf  lcd5,b 
      clrf  lcd6,b
      clrf  lcd7,b 
      clrf  lcd8,b
      clrf  lcd9,b 
;===========================================       
;==========INTET Set============================
sysint2:
      mvl   01000000b
      mvf   INTE1,F,ACCE		;ʹADCIE    
;==============================================
      clrf  INTF1,ACCE 
	mvl   0ah
      mvf   ADshiftbit,F,ACCE	;OADCȡλ24-7
      mvl   2
      mvf   Adcquit,f,acce		;ADC_CGĹP2P
      mvl   256-2
      mvf   ADStbcnt,F,acce
      mvl	0ah
      mvf	ADcount,f,acce
     mvl	0ah
      mvf	ADcatch,f,acce
      bcf   flag1,b_stable,acce
      bcf   Flag1,b_initz,ACCE  
      mvl	25
      mvf	 ZeroCNT,f,acce 
      bsf   flag1,b_poweroff,acce
      bsf   INTE0,GIE,acce   
Sysiniout:  
	 ret
;=====================================================
Delay5ms:          
        mvl     150   
     Delay5ms_loop:          
        dcsz    wreg,f,acce
        jmp     Delay5ms_loop
        ret         
	 
Delay10ms:
        mvl     0
     Delay10ms_2:   
 	  nop
 	  nop
 	  nop
 	  nop
 	  nop
 	  nop
        dcsz    wreg,F,ACCE
        jmp     Delay10ms_2
        ret         
